require('@babel/register')({
  extensions: ['.ts', '.tsx', '.mts', '.jsx', '.js', '.mjs'],
  presets: [
    [
      '@babel/preset-env',
      {
        exclude: [
          // prevents `import()` from being transformed into `require()` calls
          // we need this when importing ESM modules
          'proposal-dynamic-import',
        ],
        targets: {
          node: 'current',
        },
      },
    ],
    '@babel/preset-typescript',
  ],
  plugins: ['@babel/plugin-transform-runtime'],
});
